Admin/Create contact access request
POST /v1/admin/contacts/{contact_id}/accesses

Create contact access request

Creates a pending or pre-approved (admin) access row for a grantee (user or team) on a contact. `description` is optional (max 255 characters).

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X POST https://api.{cluster}.{platform}.voiger.io/v1/admin/contacts/{contact_id}/accesses \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "access": {
         "grantee_type": "team",
         "grantee_id": "00000000-0000-0000-0000-000000000001",
         "status": "pending",
         "description": "Need visibility for campaign follow-up"
       }
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header
contact_id string required in path

Response

access▾
object Single row (create/update response). Omits `contact_id` because the contact is identified by the path (`POST|PUT .../contacts/{contact_id}/accesses/...`).
id
string
workspace_id
string
grantee_type
string
grantee_id
string
status
string
resolver_id
any
resolved_at
any
description
string | null
created_at
string
updated_at
string
requested_at
string